gi-glib-2.0.24: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.Data

Contents

- Exported types
- Methods
  - Overloaded methods

Description

The `Data` struct is an opaque data structure to represent a [Keyed Data List][glib-Keyed-Data-Lists]. It should only be accessed via the following functions.

Synopsis

- newtype Data = Data (ManagedPtr Data)

# Exported types

newtype Data Source #

Memory-managed wrapper type.

Constructors

Data (ManagedPtr Data) |

#### Instances

Instances details

Eq Data Source # |
Instance details Defined in GI.GLib.Structs.Data Methods (==) :: Data -> Data -> Bool # (/=) :: Data -> Data -> Bool #
ManagedPtrNewtype Data Source # |
Instance details Defined in GI.GLib.Structs.Data Methods toManagedPtr :: Data -> ManagedPtr Data Source #
BoxedPtr Data Source # |
Instance details Defined in GI.GLib.Structs.Data Methods boxedPtrCopy :: Data -> IO Data Source # boxedPtrFree :: Data -> IO () Source #

# Methods

## Overloaded methods